Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyConnectionConsumer

    java.lang.Object
      org.jboss.mq.SpyConnectionConsumer

All Implemented Interfaces:
  javax.jms.ConnectionConsumer, Runnable, SpyConsumer

public class SpyConnectionConsumer
extends Object
implements javax.jms.ConnectionConsumer, SpyConsumer, Runnable

This class implements javax.jms.ConnectionConsumer

Version:
  $Revision: 1.14 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock

Constructor Summary
`SpyConnectionConsumer(Connection connection, javax.jms.Destination destination, String messageSelector, javax.jms.ServerSessionPool serverSessionPool, int maxMessages)` SpyConnectionConsumer constructor

Method Summary
`void` | `addMessage(SpyMessage mes)` Add a message
`void` | `close()`
`javax.jms.ServerSessionPool` | `getServerSessionPool()`
`Subscription` | `getSubscription()` Get the subscription
`void` | `run()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpyConnectionConsumer

    public SpyConnectionConsumer(Connection connection,
                                 javax.jms.Destination destination,
                                 String messageSelector,
                                 javax.jms.ServerSessionPool serverSessionPool,
                                 int maxMessages)
                          throws javax.jms.JMSException

  SpyConnectionConsumer constructor

Parameters:
  `connection` - the connection
  `destination` - destination
  `messageSelector` - the message selector
  `serverSessionPool` - the server session pool
  `maxMessages` - the maxmimum messages
Throws:
  `javax.jms.JMSException` - for any error

Method Detail

### getSubscription

    public Subscription getSubscription()

  Get the subscription

  Specified by:
    `getSubscription` in interface `SpyConsumer`
  Returns:
    the subscription

### addMessage

    public void addMessage(SpyMessage mes)
                    throws javax.jms.JMSException

  Add a message

  Specified by:
    `addMessage` in interface `SpyConsumer`
  Parameters:
    `mes` - the message
  Throws:
    `javax.jms.JMSException` - for any error

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool()
                                                     throws javax.jms.JMSException

  Specified by:
    `getServerSessionPool` in interface `javax.jms.ConnectionConsumer`
  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in interface `javax.jms.ConnectionConsumer`
  Throws:
    `javax.jms.JMSException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.